### Signal

# Soup Message::got-informational

#### Declaration

    void
    got_informational (
      SoupMessage* self,
      gpointer user_data
    )

#### Description [src]

Emitted after receiving a 1xx (Informational) response for a (client-side) message.

The response_headers will be filled in with the headers associated with the informational response; however, those header values will be erased after this signal is done.

If you cancel or requeue `msg` while processing this signal, then the current HTTP I/O will be stopped after this signal emission finished, and `msg`‘s connection will be closed.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.